nx_server_plugin_sdk 1.0 Server Plugin SDK

Public Member Functions | List of all members
nx::sdk::Attribute Class Reference
Inheritance diagram for nx::sdk::Attribute:

## Public Member Functions
| Attribute (Type type, std::string name, std::string value, float confidence=1.0)
| Attribute (std::string name, std::string value, float confidence=1.0)
| Attribute (const nx::sdk::Ptr< const IAttribute > &attribute)
virtual Type | type () const override
virtual const char * | name () const override
virtual const char * | value () const override
virtual float | confidence () const override
void | setValue (std::string value)
Public Member Functions inherited from nx::sdk::RefCountable< IAttribute >
| RefCountable (const RefCountable &)=delete
| RefCountable (RefCountable &&)=delete
RefCountable & | operator= (const RefCountable &)=delete
RefCountable & | operator= (RefCountable &&)=delete
virtual int | addRef () const override
virtual int | releaseRef () const override
int | refCount () const
Public Member Functions inherited from nx::sdk::Interface< IAttribute >
virtual IRefCountable * | queryInterface (const InterfaceId *id)
Ptr< Interface > | queryInterface ()
Ptr< const Interface > | queryInterface () const
Public Member Functions inherited from nx::sdk::IRefCountable
virtual | ~IRefCountable ()=default
template<class Interface >
Ptr< Interface > | queryInterface ()
template<class Interface >
Ptr< const Interface > | queryInterface () const
int | refCountThreadUnsafe () const

## Additional Inherited Members
Public Types inherited from nx::sdk::IAttribute
enum | Type : int { undefined, number, boolean, string }
Static Public Member Functions inherited from nx::sdk::IAttribute
static auto | interfaceId ()
Static Public Member Functions inherited from nx::sdk::IRefCountable
static auto | interfaceId ()
Protected Member Functions inherited from nx::sdk::Interface< IAttribute >
virtual IRefCountable * | queryInterface (const IRefCountable::InterfaceId *id) override
IRefCountable * | queryInterfaceSupportingDeprecatedId (const IRefCountable::InterfaceId *id, const Uuid &deprecatedInterfaceId)
Static Protected Member Functions inherited from nx::sdk::IRefCountable
template<int len>
static const InterfaceId * | makeId (const char(&charArray)[len])
template<int len, int alternativeLen>
static std::vector< const InterfaceId * > | makeIdWithAlternative (const char(&charArray)[len], const char(&alternativeCharArray)[alternativeLen])
template<class TemplateInstance , class TemplateArg , int len>
static const InterfaceId * | makeIdForTemplate (const char(&baseIdCharArray)[len])
static std::vector< const InterfaceId * > | alternativeInterfaceIds (const InterfaceId *id)
static std::vector< const InterfaceId * > | alternativeInterfaceIds (std::vector< const InterfaceId *> ids)

## Member Function Documentation

## ◆ name()

const char * nx::sdk::Attribute::name | ( |  | ) | const
| overridevirtual

See the specification for Attribute names in Attributes with pre-defined behavior.

Implements nx::sdk::IAttribute.

The documentation for this class was generated from the following files:

- src/nx/sdk/helpers/attribute.h
- src/nx/sdk/helpers/attribute.cpp